{ moduleFunctions }:
let
  inherit (moduleFunctions.instancesFunctions)
    servicePath
    sopsPath
    ;

  label = "PostgreSQL";
  name = "postgres";
in
{
  label = label;
  name = name;
  sops = {
    path0 = "${sopsPath}/${name}";
  };
  paths = {
    path0 = "${servicePath}/${label}";
  };
  ports = {
    port0 = 5432;
  };
}
